Subject: Re: [Drbd-dev] [PATCH 2/2 v2] netlink: kill eff_cap from struct netlink_skb_parms

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 4 Mar 2011 04:29:56 +0300

Hi.

On Thu, Mar 03, 2011 at 11:37:46PM +0100, Lars Ellenberg ([email-masked]) wrote:
> If so, then this change introduces the possibility for normal users to
> send privileged commands to connector based subsystems, even if they
> may not be able to bind() to suitable sockets to receive any replies.
> 
> Am I missing something?

Yup, connector is very async at that place, but I wonder why the hell I
ever made that decision. I believe we can replace it with pure sync call
of the registered connector callback, since netlink is synchronous and
no one has any problem with it.

-- 
	Evgeniy Polyakov